Get asset ROI
curl --request GET \
--url https://api.messari.io/metrics/v2/assets/roi \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/assets/roi"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/assets/roi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": [
{
"id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
"name": "Solana",
"slug": "solana",
"symbol": "SOL",
"category": "Networks",
"sector": "Smart Contract Platform",
"tags": [
"Proof-of-Stake",
"SEC Alleged Securities",
"Stakeable"
],
"returnOnInvestment": {
"priceChange24h": 6.758885116117631,
"priceChange7d": 32.664251691293394,
"priceChange30d": 34.04869001943003,
"priceChange1y": -51.56636283183186,
"priceChange3y": 394.22506822571836,
"priceChange5y": 33.711219771301224,
"priceChangeMTD": 37.67550803702086,
"priceChangeQTD": 36.22414650182056,
"priceChangeYTD": -19.473921604318946
}
},
{
"id": "1e31218a-e44e-4285-820c-8282ee222035",
"name": "Bitcoin",
"slug": "bitcoin",
"symbol": "BTC",
"category": "Cryptocurrency",
"sector": "Cryptocurrency",
"tags": [
"Proof-of-Work"
],
"returnOnInvestment": {
"priceChange24h": 3.3958355900563073,
"priceChange7d": 23.995486737167784,
"priceChange30d": 23.462191512402136,
"priceChange1y": -29.655801560914334,
"priceChange3y": 205.8709998539287,
"priceChange5y": 69.60373417091355,
"priceChangeMTD": 26.613560328841533,
"priceChangeQTD": 35.82967514844355,
"priceChangeYTD": -9.111349105649321
}
}
],
"metadata": {
"pageSize": 10,
"page": 1,
"totalRows": 2,
"totalPages": 1
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Assets & Market Data (included with Enterprise)
Get ROIs
Retrieve a specific asset’s ROI
GET
/
metrics
/
v2
/
assets
/
roi
Get asset ROI
x402 Support: Supported.
See the x402 guide.
Authorizations
Query Parameters
Comma separated list of asset identifiers - accepts slugs (e.g. 'bitcoin') or UUIDs
Example:
"bitcoin,ethereum"
Filter By Category
Filter By Sector
Search by name, symbol, slug, or contract address
Limit
Page number (1-indexed)
Example:
1
Column to sort by (default: price-change-24h)
Available options:
name, slug, price-change-24h, price-change-7d, price-change-30d, price-change-1y, price-change-year-to-date, all-time-high, all-time-high-percent-down, breakeven-multiple, cycle-low-percent-up Sort direction: asc or desc (default: desc)
Available options:
asc, desc 
